#ifndef ODEEXPEUL_H
#define ODEEXPEUL_H

#include "odesolver.h"

class OdeExpEul1 : public OdeSolver1
{
public:
    void step(Vecd &xout, const OdeFunc1 &f, const Vecd &x, double h) const;
};

class OdeExpEul2 : public OdeSolver2
{
public:
    void step(Vecd &xout, Vecd &vout, const OdeFunc2 &f, const Vecd &x, const Vecd &v, double h) const;
};

#endif
